# My ESPHome Config

[ESPHome](https://esphome.io/) is a project for controlling ESP8266 and other
similar chips. These are commonly used in Chinese smart devices.

This firmware works very well with Home Assistant which is why I use it.

## Smart Bulbs

I currently use the [BlitzWolf_BW LT21](BlitzWolf_BW-LT21) bulbs. The ones I
bought all came with an old version of the Tuya firmware which allowed me to use
[Tuba Convert](Tuya-Convert) to flash them without the need to take them apart.

## Wall Switches

I currently use the [Son off Ta](Sonoff-t1) switches with varying numbers of
buttons.

In order to differentiate between single, double and hold clicks, I don't
publish the internal binary sensor state (on of off). Instead I create a text
sensor that can have the states of "single", "double", "hold" or "" (empty
string).

In order to use this as a home assistant trigger, I do set `Trigger Type` to
`state`, then the entity is the name of the text sensor.

I leave `from` and `for` blank, and set `to` to `single`, `double`, or `hold`.

## Power Switches

[BlitzWolf_BW-LT21]: https://www.banggood.com/BlitzWolf-BW-LT21-RGBWW-10W-E27-APP-Smart-LED-Light-Bulb-Work-With-Amazon-Alexa-Google-Assistant-AC100-240V-p-1551059.html?rmmds=myorder&cur_warehouse=CN
[Tuya-Convert]: https://github.com/ct-Open-Source/tuya-convert
[Sonoff-t1](https://www.banggood.com/SONOFF-T1-EU-or-UK-AC-100-240V-1-or-2-or-3-Gang-TX-Series-WIFI-Wall-Switch-433Mhz-RF-Remote-Controlled-Wifi-Switch-Smart-Home-Switch-Works-With-Alexa-Google-Home-p-1470883.html?rmmds=myorder&cur_warehouse=UK&ID=6278514)
